import React from 'react';
import { Observable } from 'rxjs';
export interface IPropTagInputFetchResponse {
    name: string;
    disabled?: boolean;
    [key: string]: any;
}
export interface ITagOption {
    value: any;
    name: string;
}
export interface IPropsTagInput extends React.ComponentProps<any> {
    name: any;
    tags: ITagOption[];
    removeTag: (tag: ITagOption) => any;
    renderInput?: (name: string, item: IPropTagInputFetchResponse) => JSX.Element;
    fetch: (text: string) => Observable<IPropTagInputFetchResponse[]>;
    onSelect?: (select: string, item: IPropTagInputFetchResponse) => void;
    cleanAfterSelect?: boolean;
    inputProps?: React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
    NotFoundComponent?: JSX.Element;
    title?: any;
    prefix?: string | JSX.Element;
    suffix?: string | JSX.Element;
    textRight?: boolean;
    textCenter?: boolean;
    loading?: boolean;
    mask?: 'CEP' | 'CNPJ' | 'CPF' | 'RG' | 'phone' | 'number' | 'no-spaces';
    withoutDotNumber?: boolean;
    decimals?: number;
    error?: string;
    value?: string;
    onInput?: (text: string) => void;
    onEnter?: (text: string) => void;
}
//# sourceMappingURL=InputTags.interface.d.ts.map